% data_plot.m
% H. Garnier 
% 23/01/2024


clear;
close all;
clc

fontsize=12;

data_raw = importdata('DataOL_Tello.txt');

selectedColumns = data_raw(:, [1, 3, 5]);

% Define "time", "cmd" and  "speed" variable
t = selectedColumns(:,1);
u = selectedColumns(:,2);
y = selectedColumns(:,3);

Ts = mean(diff(t));


figure
subplot(2,1,1)
plot(t,y,'b','LineWidth',2),grid
legend('Vertical velocity')
ylim([-100 100])
xlim([20 59])
set(gca,'FontSize',fontsize)
set(findall(gcf,'type','text'),'FontSize',fontsize)
subplot(2,1,2)
plot(t,u,'r','LineWidth',2),grid
xlim([20 59])
xlabel('Time (s)')
legend('Motor speed in %')
set(gca,'FontSize',fontsize)
set(findall(gcf,'type','text'),'FontSize',fontsize)
